API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

POST
/team/envs

Create a shared environment variable for the current team (type=team).

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

key*string
value?string|null
is_literal?boolean
is_multiline?boolean
is_shown_once?boolean
comment?string|null

Response Body

application/json

application/json

curl -X POST "https://app.coolify.io/api/v1/team/envs" \  -H "Content-Type: application/json" \  -d '{    "key": "string"  }'
Empty
{  "message": "Unauthenticated."}
Empty
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}